Explorer
List claimable positions for an account
Path Parameters
accountId*string
Match
^G[A-Z2-7]{55}$Query Parameters
role*string
Value in
- "claimant"
- "sponsor"
limit?integer
Range
1 <= value <= 25Default
25cursor?string
Opaque v2 continuation for the same account, role and configured network. If an older cursor is rejected, omit it and request the first page.
Length
length <= 1024Response Body
application/json
curl -X GET "https://example.com/v1/explorer/accounts/string/claimable-positions?role=claimant"{ "source": "horizon", "accountId": "string", "networkPassphrase": "string", "role": "claimant", "latestLedger": "string", "snapshotStatus": "ledger_bound", "pageStatus": "available", "positions": [ { "id": "string", "assetId": "string", "amount": "string", "amountRaw": "string", "sponsor": "string", "roles": [ "claimant" ], "claimants": [ { "destination": "string", "predicate": { "type": "unconditional" } } ], "lastModifiedLedger": "string", "lastModifiedAt": "string" } ], "nextCursor": "string"}